Bug 820247 - The username 'tester' is a reserved system account.
The username 'tester' is a reserved system account.
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: firstboot (Show other bugs)
17
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Martin Gracik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-09 09:14 EDT by Jonas Wielicki
Modified: 2013-07-04 09:02 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-10 04:13:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonas Wielicki 2012-05-09 09:14:17 EDT
Description of problem:
When running the Create User page in the firstboot wizard twice, one cannot use the credentials given on the first attempt. Appearantly, the user has already been setup, and the wizard does not allow the user to reuse that account.

Version-Release number of selected component (if applicable):
firstboot setup from Fedora 17 TC3 iso image

How reproducible:
Always


Steps to Reproduce:
1. Install a new Fedora 17 (previous versions too maybe)
2. In firstboot, setup a username called “tester” with arbitary password and hit forward.
3. Hit back on the next screen (Date & Time setup)
4. Input the same user information as before and hit Forward
  
Actual results:
Error message: “The username 'tester' is a reserved system account. Please specify another user name.”
After specifying a different user account setup, both accounts are listed in the login manager.


Expected results:
Reuse the account previously created, no second account needed.


Additional info:
Suggestion: Would it be possible to check for the shell set up for the user or anything to see whether an existing user is “legit” or a “system user”?
Comment 1 Martin Gracik 2012-05-10 04:13:34 EDT
If you want to reuse already created account, don't fill out the text boxes in firstboot. Firstboot will allow you to go to the next screen, if there's already a legit user created on the system.
Comment 2 Jonas Wielicki 2012-05-10 06:54:34 EDT
Okay, thanks for the reply. Still, this could be made a little more obvious.

Note You need to log in before you can comment on or make changes to this bug.